######################################################################
#
# Macro Name    : c:/tutorials/v6.0/geology_database/data_work/06d_composite_graphical.tcl
#
# Version       : Surpac 6.0.1
#
# Creation Date : Tue Nov 13 15:05:42 2007
#
# Description   : 
#
######################################################################

set status [ SclFunction "RECALL ANY FILE" {
  file="surpac_training.ddb"
  mode="openInNewLayer"
}]

set status [ SclFunction "CHECK DATABASE CONNECTED" {
  databasesession="GeologyDatabase"
  databasepurpose="drillholes"
  databasehandle="GEOLOGY"
}]

set status [ SclFunction "GET DATABASE HANDLE" {
  sessionType="GeologyDatabase"
  DatabaseHandle="GEOLOGY"
  DatabaseType="drillholes"
  DatabaseName="surpac_training"
  result=1
}]

set status [ SclFunction "DRILLHOLE ATTRIBUTES" {
  trace_colour="forest green"
  trace_thickness="1"
  table=""
  field=""
  tick_mark_weight="1"
  rescale="true"
  add_constraint="true"
  cylinder_style="no cylinders"
  cylinder_radius="1.000"
  cylinder_maximum="50.0"
  show_collars="true"
  frm00012={
    {
      cons={
        {
          field=""
          operator="="
          value=""
        }
      }
    }
  }
}]

set status [ SclFunction "DRILLHOLE COLLARS" {
  show_collars="true"
  collar_marker="(+)"
  collar_marker_size="0.5"
  position="along path"
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE GEOLOGY" {
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE LABELS" {
  tick_length="1.0"
  tbl={
    "sample"
  }
  fld={
    "gold"
  }
  position={
    "right"
  }
  offset={
    "1.0"
  }
  decimals={
    "2"
  }
  use_styles={
    "true"
  }
  colour={
    ""
  }
  font_style={
    "Default"
  }
  font_size={
    "1.0"
  }
  font_units={
    "oru"
  }
  alignment={
    "left"
  }
  combine={
    "true"
  }
  num_rows="1"
}]

set status [ SclFunction "DRILLHOLE GRAPHS" {
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE DEPTH MARKERS" {
  position="left"
  offset="5.0"
  decimals="2"
  use_styles="false"
  colour=""
  font_style="Default"
  font_size="1.000"
  font_units="oru"
  alignment="right"
  major="10.0"
  minor="0.0"
  display="false"
  major_length="3.0"
  minor_length="1.0"
}]

set status [ SclFunction "DRILLHOLE APPARENT DIP MARKERS" {
  num_rows="0"
}]

set status [ SclFunction "SECTION" {} ]

set status [ SclFunction "WINDOW IN" {
  window_drag={
    {
      winx1="-0.528"
      winy1="-0.243"
      winx2="-0.435"
      winy2="-0.474"
      objectx1="1440.865"
      objecty1="7367.890"
      objectz1="50.682"
      objectx2="1475.279"
      objecty2="7367.890"
      objectz2="-12.270"
    }
  }
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "TOOL CANCEL CURRENT" {} ]

set status [ SclFunction "CHECK DATABASE CONNECTED" {
  databasesession="GeologyDatabase"
  databasepurpose="drillholes"
  databasehandle="GEOLOGY"
}]

set status [ SclFunction "GET DATABASE HANDLE" {
  sessionType="GeologyDatabase"
  DatabaseHandle="GEOLOGY"
  DatabaseType="drillholes"
  DatabaseName="surpac_training"
  result=1
}]

set status [ SclFunction "COMPOSITING OPTIONS" {
  minwidth="2"
  extend="uphole"
  composite_table=""
  composite_field=""
  symbol="<*>"
  symbol_size="0.5"
  line_pattern="---"
  default_line_weight="2"
  default_colour="blue"
  display_labels="true"
  use_weights="false"
  code_position="left"
  code_alignment="right"
  code_offset="3"
  code_decimals=""
  code_use_styles="true"
  code_colour=""
  code_font_style="Default"
  code_font_size="1"
  code_font_units="oru"
  num_weighting_rows="0"
  tbl={
    "sample"
  }
  fld={
    "gold"
  }
  dilute={
    "true"
  }
  cutoff={
    ""
  }
  hilo={
    ""
  }
  cutoff_colour={
    ""
  }
  position={
    "right"
  }
  offset={
    "4.0"
  }
  decimals={
    "2"
  }
  use_styles={
    "true"
  }
  colour={
    ""
  }
  font_style={
    "Default"
  }
  font_size={
    "1.0"
  }
  font_units={
    "oru"
  }
  alignment={
    "left"
  }
  num_composite_rows="1"
}]

set status [ SclFunction "CHECK DATABASE CONNECTED" {
  databasesession="GeologyDatabase"
  databasepurpose="drillholes"
  databasehandle="GEOLOGY"
}]

set status [ SclFunction "SELECT HOLE" {
  report="off"
  marker="location"
  prompt="DB_SELECT_COMPOSITE_START"
  hole_id=""
  single_click="true"
}]

set status [ SclFunction "SELECT HOLE" {
  _return_code="0"
  hole_id="WRC079"
  marker="off"
  prompt="DB_SELECT_COMPOSITE_END"
  single_click="true"
}]

set status [ SclFunction "CREATE COMPOSITE" {
  hole_id="WRC079"
  depth_from="139.01245498657238"
  depth_to="143.02894783020028"
  code="Hg_ore"
}]

set status [ SclFunction "SELECT HOLE" {
  _return_code="0"
  marker="location"
  prompt="DB_SELECT_COMPOSITE_START"
  hole_id=""
  single_click="true"
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "TOOL CANCEL CURRENT" {} ]

set status [ SclFunction "CHECK DATABASE CONNECTED" {
  databasesession="GeologyDatabase"
  databasepurpose="drillholes"
  databasehandle="GEOLOGY"
}]

set status [ SclFunction "GET DATABASE HANDLE" {
  sessionType="GeologyDatabase"
  DatabaseHandle="GEOLOGY"
  DatabaseType="drillholes"
  DatabaseName="surpac_training"
  result=1
}]

set status [ SclFunction "COMPOSITING OPTIONS" {
  minwidth="2"
  extend="uphole"
  composite_table=""
  composite_field=""
  symbol="<*>"
  symbol_size="0.5"
  line_pattern="---"
  default_line_weight="2"
  default_colour="blue"
  display_labels="true"
  use_weights="false"
  code_position="left"
  code_alignment="right"
  code_offset="3"
  code_decimals=""
  code_use_styles="true"
  code_colour=""
  code_font_style="Default"
  code_font_size="1"
  code_font_units="oru"
  num_weighting_rows="0"
  tbl={
    "sample"
  }
  fld={
    "gold"
  }
  dilute={
    "true"
  }
  cutoff={
    ""
  }
  hilo={
    ""
  }
  cutoff_colour={
    ""
  }
  position={
    "right"
  }
  offset={
    "2"
  }
  decimals={
    "2"
  }
  use_styles={
    "true"
  }
  colour={
    ""
  }
  font_style={
    "Default"
  }
  font_size={
    "1"
  }
  font_units={
    "oru"
  }
  alignment={
    "right"
  }
  num_composite_rows="1"
}]

set status [ SclFunction "CHECK DATABASE CONNECTED" {
  databasesession="GeologyDatabase"
  databasepurpose="drillholes"
  databasehandle="GEOLOGY"
}]

set status [ SclFunction "SELECT HOLE" {
  prompt="DB_SELECT_COMPOSITE"
  report="off"
  marker="off"
  single_click="true"
}]

set status [ SclFunction "DELETE COMPOSITE" {
  hole_id="WRC079"
  depth="141.020701408"
}]

set status [ SclFunction "CREATE COMPOSITE" {
  hole_id="WRC079"
  depth_from="139.012"
  depth_to="143.029"
  code="Hg_ore"
}]

set status [ SclFunction "SELECT HOLE" {
  _return_code="0"
  prompt="DB_SELECT_COMPOSITE"
  report="off"
  marker="off"
  single_click="true"
}]

set status [ SclFunction "DELETE COMPOSITE" {
  hole_id="WRC079"
  depth="141.0205"
}]

set status [ SclFunction "CREATE COMPOSITE" {
  hole_id="WRC079"
  depth_from="139.012"
  depth_to="143.029"
  code="Hg_ore"
}]

set status [ SclFunction "SELECT HOLE" {
  _return_code="0"
  prompt="DB_SELECT_COMPOSITE"
  report="off"
  marker="off"
  single_click="true"
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "TOOL CANCEL CURRENT" {} ]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "TOOL CANCEL CURRENT" {} ]

puts  ""
puts  ""
puts  "Macro 06d_composite_graphical.tcl completed."
puts  ""
